Package org.jcsp.net

# Class StandardNetChannelEndFactory

java.lang.Object
org.jcsp.net.StandardNetChannelEndFactory

All Implemented Interfaces:
  `NetBufferedChannelEndFactory`, `NetChannelEndFactory`, `NetLabelledBufferedChannelEndFactory`, `NetLabelledChannelEndFactory`

Direct Known Subclasses:
  `UnacknowledgedNetChannelEndFactory`

public class StandardNetChannelEndFactory extends Object implements NetChannelEndFactory, NetLabelledChannelEndFactory, NetBufferedChannelEndFactory, NetLabelledBufferedChannelEndFactory
A standard implementation of the JCSP.NET Networked channel factory interaces.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`StandardNetChannelEndFactory()`
`StandardNetChannelEndFactory(Profile profile)`
Creates a factory that creates links using a given profile rather than the default one.

## Method Summary

Modifier and Type
Method
Description
`NetSharedChannelOutput`
`createAny2Net(NetChannelLocation loc)`
Constructs a `NetSharedChannelOutput` object.
`NetSharedChannelInput`
`createNet2Any()`
Constructs a `NetSharedChannelInput` object.
`NetSharedChannelInput`
`createNet2Any(String label)`
Constructs a `NetSharedChannelInput` which has a VCN assigned with the specified label.
`NetSharedChannelInput`
`createNet2Any(String label, ChannelDataStore buffer)`
Constructs a buffered `NetSharedChannelInput` which has a VCN assigned with the specified label.
`NetSharedChannelInput`
`createNet2Any(ChannelDataStore buffer)`
Constructs a `NetSharedChannelInput` object.
`NetAltingChannelInput`
`createNet2One()`
Constructs a `NetAltingChannelInput` object.
`NetAltingChannelInput`
`createNet2One(String label)`
Constructs a `NetAltingChannelInput` which has a VCN assigned with the specified label.
`NetAltingChannelInput`
`createNet2One(String label, ChannelDataStore buffer)`
Constructs a buffered `NetAltingChannelInput` which has a VCN assigned with the specified label.
`NetAltingChannelInput`
`createNet2One(ChannelDataStore buffer)`
Constructs a `NetAltingChannelInput` object.
`NetChannelOutput`
`createOne2Net(NetChannelLocation loc)`
Constructs a `NetChannelOutput` object.
`static StandardNetChannelEndFactory`
`getDefaultInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StandardNetChannelEndFactory

public StandardNetChannelEndFactory()

### StandardNetChannelEndFactory

public StandardNetChannelEndFactory(Profile profile)
Creates a factory that creates links using a given profile rather than the default one.

## Method Details

### getDefaultInstance

public static StandardNetChannelEndFactory getDefaultInstance()

### createNet2One

public NetAltingChannelInput createNet2One()
Description copied from interface: `NetChannelEndFactory`

Constructs a `NetAltingChannelInput` object.

Specified by:
  `createNet2One` in interface `NetChannelEndFactory`
Returns:
  the constructed `NetAltingChannelInput` object.
See Also:
  - `NetChannelEndFactory.createNet2One()`

### createNet2One

public NetAltingChannelInput createNet2One(String label)
Description copied from interface: `NetLabelledChannelEndFactory`
Constructs a `NetAltingChannelInput` which has a VCN assigned with the specified label.

Specified by:
  `createNet2One` in interface `NetLabelledChannelEndFactory`
Parameters:
  `label` - the label to apply to the channel's VCN.
Returns:
  the constructed `NetAltingChannelInput` object.
See Also:
  - `NetLabelledChannelEndFactory.createNet2One(String)`

### createNet2One

public NetAltingChannelInput createNet2One(ChannelDataStore buffer)
Description copied from interface: `NetBufferedChannelEndFactory`
Constructs a `NetAltingChannelInput` object.

Specified by:
  `createNet2One` in interface `NetBufferedChannelEndFactory`
Parameters:
  `buffer` - the `ChannelDataStore` to use as a buffer.
Returns:
  the constructed `NetAltingChannelInput` object.
See Also:
  - `NetBufferedChannelEndFactory.createNet2One(ChannelDataStore)`

### createNet2One

public NetAltingChannelInput createNet2One(String label, ChannelDataStore buffer)
Description copied from interface: `NetLabelledBufferedChannelEndFactory`
Constructs a buffered `NetAltingChannelInput` which has a VCN assigned with the specified label.

Specified by:
  `createNet2One` in interface `NetLabelledBufferedChannelEndFactory`
Parameters:
  `label` - the label to apply to the channel's VCN.
  `buffer` - the `ChannelDataStore` to use.
Returns:
  the constructed `NetAltingChannelInput` object.
See Also:
  - `NetLabelledBufferedChannelEndFactory.createNet2One(String, ChannelDataStore)`

### createNet2Any

public NetSharedChannelInput createNet2Any()
Description copied from interface: `NetChannelEndFactory`

Constructs a `NetSharedChannelInput` object.

Specified by:
  `createNet2Any` in interface `NetChannelEndFactory`
Returns:
  the constructed `NetSharedChannelInput` object.
See Also:
  - `NetChannelEndFactory.createNet2Any()`

### createNet2Any

public NetSharedChannelInput createNet2Any(String label)
Description copied from interface: `NetLabelledChannelEndFactory`
Constructs a `NetSharedChannelInput` which has a VCN assigned with the specified label.

Specified by:
  `createNet2Any` in interface `NetLabelledChannelEndFactory`
Parameters:
  `label` - the label to apply to the channel's VCN.
Returns:
  the constructed `NetSharedChannelInput` object.
See Also:
  - `NetLabelledChannelEndFactory.createNet2Any(String)`

### createNet2Any

public NetSharedChannelInput createNet2Any(ChannelDataStore buffer)
Description copied from interface: `NetBufferedChannelEndFactory`
Constructs a `NetSharedChannelInput` object.

Specified by:
  `createNet2Any` in interface `NetBufferedChannelEndFactory`
Parameters:
  `buffer` - the `ChannelDataStore` to use as a buffer.
Returns:
  the constructed `NetSharedChannelInput` object.
See Also:
  - `NetBufferedChannelEndFactory.createNet2Any(ChannelDataStore)`

### createNet2Any

public NetSharedChannelInput createNet2Any(String label, ChannelDataStore buffer)
Description copied from interface: `NetLabelledBufferedChannelEndFactory`
Constructs a buffered `NetSharedChannelInput` which has a VCN assigned with the specified label.

Specified by:
  `createNet2Any` in interface `NetLabelledBufferedChannelEndFactory`
Parameters:
  `label` - the label to apply to the channel's VCN.
  `buffer` - the `ChannelDataStore` to use.
Returns:
  the constructed `NetSharedChannelInput` object.
See Also:
  - `NetLabelledBufferedChannelEndFactory.createNet2Any(String, ChannelDataStore)`

### createOne2Net

public NetChannelOutput createOne2Net(NetChannelLocation loc)
Description copied from interface: `NetChannelEndFactory`

Constructs a `NetChannelOutput` object.

Specified by:
  `createOne2Net` in interface `NetChannelEndFactory`
Returns:
  the constructed `NetChannelOutput` object.
See Also:
  - `NetChannelEndFactory.createOne2Net(NetChannelLocation)`

### createAny2Net

public NetSharedChannelOutput createAny2Net(NetChannelLocation loc)
Description copied from interface: `NetChannelEndFactory`

Constructs a `NetSharedChannelOutput` object.

Specified by:
  `createAny2Net` in interface `NetChannelEndFactory`
Returns:
  the constructed `NetSharedChannelOutput` object.
See Also:
  - `NetChannelEndFactory.createAny2Net(NetChannelLocation)`